Package org.apache.sysds.runtime.frame.data.compress

# Class FrameCompressionSettingsBuilder

java.lang.Object
org.apache.sysds.runtime.frame.data.compress.FrameCompressionSettingsBuilder

public class FrameCompressionSettingsBuilder extends Object

## Constructor Summary

Constructors
Constructor
Description
`FrameCompressionSettingsBuilder()`

## Method Summary

Modifier and Type
Method
Description
`FrameCompressionSettings`
`create()`
`FrameCompressionSettingsBuilder`
`sampleRatio(double sampleRatio)`
`FrameCompressionSettingsBuilder`
`threads(int k)`
`FrameCompressionSettingsBuilder`
`wTreeRoot(WTreeRoot wt)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FrameCompressionSettingsBuilder

public FrameCompressionSettingsBuilder()

## Method Details

### wTreeRoot

public FrameCompressionSettingsBuilder wTreeRoot(WTreeRoot wt)

### threads

public FrameCompressionSettingsBuilder threads(int k)

### sampleRatio

public FrameCompressionSettingsBuilder sampleRatio(double sampleRatio)

### create

public FrameCompressionSettings create()